#!/bin/bash
# You can modify these to suit

UID_TMP=$(getent passwd $USER | cut -f3 -d:)

[ $UID_TMP -ge 10000 ] ||  exit 0

panel="top_panel_screen0"
position="10"
right_stick="true"
oaf_iid="OAFIID:CGAApplet"
applet_id="cga_quota"
bloqueado="true"

# You shouldn't change these


schemas_base=/schemas/apps/panel
profile_base=/apps/panel/applets

lista_applets=$(gconftool-2 --get /apps/panel/general/applet_id_list | sed -e "s/\[//" | sed -e "s/\]//" | sed -e "s/,/ /g")
esta=0
for applet_actual in $lista_applets; do
        ap=$(gconftool-2 --get $profile_base/$applet_actual/bonobo_iid)
        if [ "$ap" = "$oaf_iid" ]; then
                esta=1
        fi
done

if [ "$esta" = "0" ]; then
        applet_schemas=$(gconftool-2 --all-entries $schemas_base/objects | awk -F '=' '{print $1}')

        # Apply the schemas
        for schema in $applet_schemas; do
            gconftool-2 --apply-schema $schemas_base/objects/$schema $profile_base/$applet_id/$schema
        done

        # Tweak things
        gconftool-2 --set $profile_base/$applet_id/object_type -t string bonobo-applet
        gconftool-2 --set $profile_base/$applet_id/bonobo_iid -t string $oaf_iid
        gconftool-2 --set $profile_base/$applet_id/toplevel_id -t string $panel
        gconftool-2 --set $profile_base/$applet_id/position -t int $position
        gconftool-2 --set $profile_base/$applet_id/panel_right_stick -t bool $right_stick
        gconftool-2 --set $profile_base/$applet_id/locked -t bool $bloqueado


        applet_id_list="$(gconftool-2 --get /apps/panel/general/applet_id_list)"
        applet_id_list="`echo "$applet_id_list" | sed -e "s/]/,$applet_id]/"`"

        # Finally, add the applet once everything has been setup
        gconftool-2 --set /apps/panel/general/applet_id_list --type list --list-type string "$applet_id_list"
fi



