#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import subprocess

from os import system
from sys import exit

import gobject
import dbus
import dbus.mainloop.glib

NFSSYNCD_LOCK_FILE="/var/run/nfssyncd.config"

def escribe(msg):
    if os.path.exists("/bin/plymouth"):
        subprocess.call(["/bin/plymouth","message", "--text", msg])

def senyal_progreso(arg):
    escribe("Sincronizando los datos del usuario... %s%%" % arg)

def senyal_estado(arg):
    escribe("Sincronizacion finalizada.")
    loop.quit()

def must_sync():
    return os.path.isfile(NFSSYNCD_LOCK_FILE)


if __name__=="__main__":

    if not must_sync():
        exit(0)

    escribe("Sincronizando la informacion del usuario")

    dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
    bus = dbus.SystemBus()
    bus.add_signal_receiver(senyal_progreso, dbus_interface = "cga.nfssyncd.dbus.Signal", signal_name = "RSYNC_PROG")
    bus.add_signal_receiver(senyal_estado,   dbus_interface = "cga.nfssyncd.dbus.Signal", signal_name = "RSYNC_STATUS")

    comando = "/usr/sbin/cga-end-session"
    res=system(comando)
    if res != 0:
        escribe("Error al ejecutar cga-end-session")
        exit(1)

    loop = gobject.MainLoop()
    loop.run()

